{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template block_myoverview/view-list

    This template renders the list view for the myoverview block.

    Example context (json):
    {
        "courses": [
            {
                "name": "Assignment due 1",
                "viewurl": "https://moodlesite/course/view.php?id=2",
                "courseimage": "https://moodlesite/pluginfile/123/course/overviewfiles/123.jpg",
                "fullname": "course 3",
                "hasprogress": true,
                "progress": 10,
                "coursecategory": "Category 1",
                "visible": true
            }
        ]
    }
}}

<ul class="list-group">
    {{#courses}}
        <li class="list-group-item course-listitem border-left-0 border-right-0 border-top-0 px-2 rounded-0"
            data-region="course-content"
            data-course-id="{{{id}}}">
            <div class="row">
                <div class="col-md-2 d-flex align-items-center mb-sm-3 mb-md-0">
                    <a href="{{viewurl}}" tabindex="-1"  class="mw-100 w-100">
                        <div class="rounded list-image mw-100" style='background-image: url("{{{courseimage}}}");'>
                            <span class="sr-only">{{fullname}}</span>
                        </div>
                    </a>
                </div>
                <div class="col-md-9 d-flex flex-column">
                    {{#showshortname}}
                        <div class="text-muted muted d-flex flex-wrap">
                            {{#showcoursecategory}}
                                <div class="pl-1 pr-1">|</div>
                            {{/showcoursecategory}}
                            <span class="sr-only">
                                {{#str}}aria:courseshortname, core_course{{/str}}
                            </span>
                            <div>{{{shortname}}}</div>
                        </div>
                    {{/showshortname}}
                    <a href="{{viewurl}}" class="aalink coursename{{^visible}} text-muted{{/visible}}">
                        {{> core_course/favouriteicon }}
                        <span class="sr-only">
                            {{#str}}aria:coursename, core_course{{/str}}
                        </span>
                        {{{fullname}}}
                    </a>
                    {{#showcoursecategory}}
                        <div class="text-muted muted d-flex flex-wrap">
                            <span class="sr-only">
                                {{#str}}aria:coursecategory, core_course{{/str}}
                            </span>
                            <span class="categoryname">
                                {{{coursecategory}}}
                            </span>
                        </div>
                    {{/showcoursecategory}}
                    {{^visible}}
                        <div class="d-flex flex-wrap">
                            <span class="badge bg-info text-white text-bg-info">{{#str}} hiddenfromstudents {{/str}}</span>
                        </div>
                    {{/visible}}
                    {{#hasprogress}}
                        <div class="text-muted muted d-flex flex-wrap mt-auto">
                            {{> block_myoverview/progress-bar}}
                        </div>
                    {{/hasprogress}}
                </div>
                <div class="col-md-1 p-0 d-flex menu">
                    {{> block_myoverview/course-action-menu }}
                </div>
            </div>
        </li>
    {{/courses}}
</ul>
